Bug 439070 - F9 beta anaconda + serial console = NIC select screen too big
F9 beta anaconda + serial console = NIC select screen too big
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-03-26 15:59 EDT by Patrick C. F. Ernzer
Modified: 2008-04-29 17:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 17:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-03-26 15:59:55 EDT
Description of problem:
When booting Fedora 9 installer on a machine with serial console, the 'select
the network device you want to install through'-screen has bits of it's text
missing.

Version-Release number of selected component (if applicable):
Fedora 9 beta

How reproducible:
always

Steps to Reproduce:
1. boot via network (this probably does not matter, but the machines I test on
have no CD-ROm drive anyways) as follows:
  kernel f9betai386/vmlinuz
  append initrd=f9betai386/initrd.img
ks=http://192.168.1.1/kickstart/pcfe/F9-beta-minimaltesting-i386-ks.cfg
ksdevice=bootif console=ttyS0,115200

(side note, oddly enough ksdevice=bootif should not even pop up the screen, but
that is for another bug after I checked if the syntax is still that way in F9)

2. wait for anaconda to ask which interface it should use
3. see cut off text as pasted below
  
Actual results:
(paste from my serial console but the MAC address has been had edited)
Welcome to Fedora for i386




-------------------+ Networking Device +----------------------------------------

twork devices on this system. Which would
through?

ce eth0 - 00:XX:XX:XX:XX:XX                                                     
ce eth1 - 00:XX:XX:XX:XX:XX

      +----+                                                      +------+
      | OK |                                                      | Back |
      +----+                                                      +------+


--------------------------------------------------------------------------------




  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen



Expected results:
all text on the serial console

Additional info:
looking at the logs of my console server, I see that the missing text seems to
not even be sent (the console server also records control characters and unless
I am blind (that does happen though) the missing characters are just not there).
It is not excluded that this is an oddity with this particular hardware. Grab
Jane Karhunen in the Boston office and he can point you to a box that exhibits this.

Leaving priority at low, this is purely cosmetic.

Mind you, F9 beta is the first release I noticed this on. It definitely did not
happen on these boxes with RHEL4.x, RHEL5.x or F8 and F7
Comment 1 Jeremy Katz 2008-04-08 15:38:05 EDT
This looks okay in a quick test with today's rawhide.  Are you still seeing this
behavior?
Comment 2 Patrick C. F. Ernzer 2008-04-17 07:36:37 EDT
yes, looks good now. Bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.